import request from '@/utils/request'

// 查询螺杆钻具列表
export function listJtzjLgzj(query) {
  return request({
    url: '/jtzj/jtzjLgzj/list',
    method: 'get',
    params: query
  })
}

// 查询螺杆钻具详细
export function getJtzjLgzj(id) {
  return request({
    url: '/jtzj/jtzjLgzj/' + id,
    method: 'get'
  })
}

// 新增螺杆钻具
export function addJtzjLgzj(data) {
  return request({
    url: '/jtzj/jtzjLgzj',
    method: 'post',
    data: data
  })
}

// 修改螺杆钻具
export function updateJtzjLgzj(data) {
  return request({
    url: '/jtzj/jtzjLgzj',
    method: 'put',
    data: data
  })
}

// 删除螺杆钻具
export function delJtzjLgzj(id) {
  return request({
    url: '/jtzj/jtzjLgzj/' + id,
    method: 'delete'
  })
}
